; NAME:
;      SAMPLESHIFT
;
; PURPOSE:
;      Expands the array, shifts the data according to an input
;      vector, and shrinks the data
;
; CALLING SEQUENCE:
;      Result = SAMPLESHIFT (DATA, EXPAND, SHIFT, SHRINK)
;
; INPUTS:
;      DATA:   The array to be modified
;      EXPAND: The multiplier for expanding the array.  Must be int > 0
;      SHIFT:  The number of pixels each row will shift
;      SHRINK: The divider for shrinking the array.  Must be int > 0
;
; OUTPUTS:
;      Returns a modified array that has been sampled and or shifted
;
; MODIFICATION HISTORY:
;      Written by:    John Dermody, 22 Sep 2003

function SAMPLESHIFT, data, expand, shift, shrink

nx = (size(data))[1]
ny = (size(data))[2]
; tell why PP
mdata = rebin(data, nx*expand, ny)
;mdata = dblarr(nx*expand, ny)
;for i = 0, ny-1 do begin &$
;  mdata[*,i] = spline(indgen(nx), data[*,i], $
;                      indgen(nx*expand)/double(expand), 0.01) &$
;endfor
for i = 0, ny-1 do $
  mdata[*,i] = shift(mdata[*,i], round(shift[i]*expand))
mdata = rebin(mdata, nx*expand/shrink, ny, /sample)

return, mdata
end
